Bug 471127 - 'keep_old_ip' in dhclient-script no longer effective.
'keep_old_ip' in dhclient-script no longer effective.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On: 453982
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 16:44 EST by David Cantrell
Modified: 2008-12-06 23:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:15:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2008-11-11 16:44:06 EST
+++ This bug was initially created as a clone of Bug #453982 +++

Reopening per comment #5.

--- Additional comment from eswierk@cs.stanford.edu on 2008-11-11 00:08:50 EDT ---

The patch dhcp-4.0.0-inherit-leases.patch in dhclient-4.0.0-18.fc9 no worky:

  client -> active -> is_bootp

should be

  !client -> active -> is_bootp

and

  memcpy (client -> active -> address.iabuf, &(client -> interface -> addresses[i]), 4) == 0

should be

  memcmp (client -> active -> address.iabuf, &(client -> interface -> addresses[i]), 4) == 0

Thank you for your attention.

--- Additional comment from updates@fedoraproject.org on 2008-09-16 19:21:53 EDT ---

dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from updates@fedoraproject.org on 2008-08-07 19:58:07 EDT ---

dhcp-4.0.0-17.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7105

--- Additional comment from updates@fedoraproject.org on 2008-08-01 18:44:37 EDT ---

dhcp-4.0.0-17.fc9 has been submitted as an update for Fedora 9

--- Additional comment from dcantrell@redhat.com on 2008-08-01 16:55:54 EDT ---

Not sure how I lost that patch when I moved to dhcp-4.0.0, but I've ported it to 4.0.0.  I'll be releasing an 
update for F-9 that addresses this issue.

Thanks for the report.

--- Additional comment from jbjohnso@us.ibm.com on 2008-07-03 12:40:38 EDT ---

Description of problem:
At least in Fedora8, dhcp had a 'dhcp-3.0.5-inherit-leases.patch', to avoid
unnecessarily deconfiguring a network interface if it has an existing lease that
may be valid.  This enabled things like iSCSI root and nfs root to have a dhcp
interface, and not be botched by the network startup script.

In Fedora9, this patch has no equivalent, and as such dhclient startup always
deconfigures the network interface, even if that interface is required to access
the root filesystem.  NFS root and iSCSI root are precluded by this function.

Version-Release number of selected component (if applicable):
4.0.0-14

How reproducible:
Always

Steps to Reproduce:
1.Have a lease in /var/lib/dhclient
2.set -x in dhclient-script
3.Note how 'keep_old_ip' is never yes in fedora9, but it is in fedora8 at the
right times
  
Actual results:
Network is deconfigured, and nfs root systems hang

Expected results:
dhclient does not interrupt boot process even for nfs root or iscsi root

Additional info:
Comment 1 Fedora Update System 2008-11-22 11:46:13 EST
dhcp-4.0.0-32.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-9915
Comment 2 Bug Zapper 2008-11-26 00:13:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2008-12-06 23:15:28 EST
dhcp-4.0.0-32.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.